/* $Id: ApmMeterP.h,v 1.2 1999/11/06 17:10:56 leonard Exp $ */
/* (c) 1999, David Leonard */
#ifndef _ApmMeterP_h_
#define _ApmMeterP_h_

#include <X11/Xaw/ScrollbarP.h>
#include "ApmMeter.h"

typedef struct {
	/* Settable resources */
	Pixel		charging_foreground;	/* colour when charging */
	Pixel		charging_background;
	Pixel		high_foreground;	/* colour above high level */
	Pixel		high_background;
	Pixel		low_foreground;		/* colour above low level */
	Pixel		low_background;
	Pixel		dangerous_foreground;	/* colour above dangerous lvl */
	Pixel		dangerous_background;
	Pixel		critical_foreground;	/* colour under dangerous lvl */
	Pixel		critical_background;
	float		high_level;		/* low end of high interval */
	float		low_level;		/* low end of low interval */
	float		dangerous_level;	/* low end of dangerous intvl */
	Dimension	update;			/* update time in msec */

	/* private */
	XtIntervalId	timer;			/* timeout interval id */
	float		charge;			/* last sampled charge */
	Boolean		charging;		/* true if battery charging */
} ApmMeterPart;

typedef struct _ApmMeterRec
{
	CorePart	core;
	SimplePart	simple;
	ScrollbarPart	scrollbar;
	ApmMeterPart	apmmeter;
} ApmMeterRec;

/* (class methods go here) */

typedef struct { int empty; } ApmMeterClassPart;

typedef struct _ApmMeterClassRec {
	CoreClassPart		core_class;
	SimpleClassPart		simple_class;
	ScrollbarClassPart	scrollbar_class;
	ApmMeterClassPart	apmmeter_class;
} ApmMeterClassRec;

extern ApmMeterClassRec apmMeterClassRec;

#endif /* _ApmMeterP_h_ */
